//
//  NKTweetCell.m
//  SampleTimelineApp
//
//  Created by yaakaito on 2012/11/25.
//  Copyright (c) 2012年 nikkeibp.co.jp. All rights reserved.
//

#import "NKTweetCell.h"

@interface NKTweetCell ()
@property (nonatomic, strong) UIImageView *iconView;
@property (nonatomic, strong) UILabel *tweetLabel;
@property (nonatomic, strong) UILabel *nameLabel;
@property (nonatomic, strong) UILabel *dateLabel;
@end

@implementation NKTweetCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    
        self.iconView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"icon"]];
        [self.contentView addSubview:self.iconView];

        self.tweetLabel = [[UILabel alloc] initWithFrame:CGRectZero];
        self.tweetLabel.text = @"サンプルのツイートサンプルのツイートサンプルのツイートサンプルのツイート";
        self.tweetLabel.font = [UIFont systemFontOfSize:12];
        self.tweetLabel.numberOfLines = 2;
        [self.contentView addSubview:self.tweetLabel];
        
        self.nameLabel = [[UILabel alloc] initWithFrame:CGRectZero];
        self.nameLabel.text = @"日経ソフトウェア";
        self.nameLabel.font = [UIFont systemFontOfSize:12];
        [self.contentView addSubview:self.nameLabel];
        
        self.dateLabel = [[UILabel alloc] initWithFrame:CGRectZero];
        self.dateLabel.text = @"1時間前";
        self.dateLabel.font = [UIFont systemFontOfSize:12];
        self.dateLabel.textAlignment = NSTextAlignmentRight;
        [self.contentView addSubview:self.dateLabel];
        
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

- (void)layoutSubviews {
    
    [super layoutSubviews];
    
    CGRect frame = self.frame;
    CGFloat margin = frame.size.height / 12;
    CGFloat labelHeight = 14;
    
    // アイコンを縦を基準に表示
    self.iconView.frame = CGRectMake(0, 0, frame.size.height, frame.size.height);
    
    // アカウント名とツイートを横幅に合わせて表示
    self.nameLabel.frame = CGRectMake(frame.size.height + margin, margin,
                                      frame.size.width - (frame.size.height + margin) - margin, labelHeight);
    self.tweetLabel.frame = CGRectMake(frame.size.height + margin, labelHeight + margin * 2 ,
                                       frame.size.width - (frame.size.height + margin) - margin, labelHeight * 2);
    
    // 投稿時間を右下を基準に表示
    CGFloat dateLabelWidth = 60;
    self.dateLabel.frame = CGRectMake(frame.size.width - dateLabelWidth, frame.size.height - labelHeight,
                                      dateLabelWidth, labelHeight);
    
}

@end
