//
//  NKTweetViewController.m
//  SampleTimelineApp
//
//  Created by yaakaito on 2012/11/26.
//  Copyright (c) 2012年 nikkeibp.co.jp. All rights reserved.
//

#import "NKTweetViewController.h"

@interface NKTweetViewController ()
@property (nonatomic, strong) UIImageView *iconView;
@property (nonatomic, strong) UILabel *tweetLabel;
@property (nonatomic, strong) UILabel *nameLabel;
@property (nonatomic, strong) UILabel *dateLabel;
@end

@implementation NKTweetViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.view.backgroundColor = [UIColor whiteColor];
        
        self.iconView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"icon"]];
        [self.view addSubview:self.iconView];
        
        self.tweetLabel = [[UILabel alloc] initWithFrame:CGRectZero];
        self.tweetLabel.text = @"サンプルのツイートサンプルのツイートサンプルのツイートサンプルのツイート";
        self.tweetLabel.font = [UIFont systemFontOfSize:12];
        self.tweetLabel.numberOfLines = 2;
        [self.view addSubview:self.tweetLabel];
        
        self.nameLabel = [[UILabel alloc] initWithFrame:CGRectZero];
        self.nameLabel.text = @"日経ソフトウェア";
        self.nameLabel.font = [UIFont systemFontOfSize:12];
        [self.view addSubview:self.nameLabel];
        
        self.dateLabel = [[UILabel alloc] initWithFrame:CGRectZero];
        self.dateLabel.text = @"1時間前";
        self.dateLabel.font = [UIFont systemFontOfSize:12];
        self.dateLabel.textAlignment = NSTextAlignmentRight;
        [self.view addSubview:self.dateLabel];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)viewWillAppear:(BOOL)animated {
    
    [super viewWillAppear:animated];
    
    CGRect frame = self.view.frame;
    
    CGFloat margin = frame.size.height / 12;
    CGFloat labelHeight = 14;
    
    // アイコンを縦を基準に表示
    self.iconView.frame = CGRectMake(20, 20, frame.size.width / 8, frame.size.width / 8);
    
    // アカウント名とツイートを横幅に合わせて表示
    self.nameLabel.frame = CGRectMake(frame.size.width / 8 + margin, 20,
                                      frame.size.width - (frame.size.width / 8 + margin) - margin, labelHeight);
    
    self.tweetLabel.frame = CGRectMake(margin, frame.size.width / 8 + margin ,
                                       frame.size.width - margin * 2, labelHeight * 2);
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
