package com.u1aryz.samples.multi_screen;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;

/**
 * 1ペインモードでDetailフラグメントを表示するためのアクティビティ
 * 
 * @author u1aryz
 * 
 */
public class DetailActivity extends FragmentActivity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.detail);

		// 2ペインモードだった場合、このActivityを閉じる
		if (getResources().getBoolean(R.bool.has_two_panes)) {
			finish();
			return;
		}

		DetailFragment f = (DetailFragment) getSupportFragmentManager()
				.findFragmentById(R.id.detail);

		int position = getIntent().getIntExtra("currentPosition", -1);
		if (position != -1) {
			// フラグメントの内容を切り替える
			f.loadDetail(position);
		}
	}

}
