package com.u1aryz.samples.multi_screen;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

/**
 * 詳細を表示するためのフラグメント
 * 
 * @author u1aryz
 * 
 */
public class DetailFragment extends Fragment {

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {

		return inflater.inflate(R.layout.detail_content, container, false);
	}

	@Override
	public void onStart() {
		super.onStart();

		// 引き渡されたポジションを取得して詳細を表示
		Bundle args = getArguments();
		if (args != null) {
			loadDetail(args.getInt("currentPosition"));
		} else {
			loadDetail(0);
		}
	}

	/**
	 * 詳細を表示する
	 * 
	 * @param position
	 *            選択されたポジション
	 */
	public void loadDetail(int position) {
		TextView textView = (TextView) getActivity().findViewById(R.id.text);
		textView.setText("あなたが選択したポジションは " + position);
	}
}
