package com.u1aryz.samples.multi_screen;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

/**
 * リストを表示するためのフラグメント
 * 
 * @author u1aryz
 * 
 */
public class MasterFragment extends ListFragment {

	OnMasterItemClickListener mListener;

	/** アイテムが選択されたときに呼ばれるリスナー */
	public interface OnMasterItemClickListener {
		public void onMasterItemClick(int position);
	}

	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);

		List<String> items = new ArrayList<String>();
		for (int i = 0; i < 30; i++) {
			items.add("item " + i);
		}

		setListAdapter(new ArrayAdapter<String>(getActivity(),
				android.R.layout.simple_list_item_1, items));
	}

	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		super.onListItemClick(l, v, position, id);

		if (mListener != null) {
			mListener.onMasterItemClick(position);
		}
	}

	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);

		// ActivityがOnMasterItemClickListenerを実装していなければExceptionをスロー
		try {
			mListener = (OnMasterItemClickListener) activity;
		} catch (ClassCastException e) {
			throw new ClassCastException(activity.toString()
					+ " must implement OnMasterItemClickListener");
		}
	}
}
